Gentoo Logo
Gentoo Spaceship




Note: Due to technical difficulties, the Archives are currently not up to date. GMANE provides an alternative service for most mailing lists.
c.f. bug 424647
List Archive: gentoo-commits
Navigation:
Lists: gentoo-commits: < Prev By Thread Next > < Prev By Date Next >
Headers:
To: gentoo-commits@g.o
From: "Ned Ludd (solar)" <solar@g.o>
Subject: gentoo-x86 commit in media-libs/fontconfig: ChangeLog fontconfig-2.6.0-r2.ebuild
Date: Sun, 21 Sep 2008 02:45:31 +0000
solar       08/09/21 02:45:31

  Modified:             ChangeLog fontconfig-2.6.0-r2.ebuild
  Log:
  - make cross compile aware
  (Portage version: 2.1.4.4)

Revision  Changes    Path
1.121                media-libs/fontconfig/ChangeLog

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/media-libs/fontconfig/ChangeLog?rev=1.121&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/media-libs/fontconfig/ChangeLog?rev=1.121&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/media-libs/fontconfig/ChangeLog?r1=1.120&r2=1.121

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/media-libs/fontconfig/ChangeLog,v
retrieving revision 1.120
retrieving revision 1.121
diff -u -r1.120 -r1.121
--- ChangeLog	26 Jun 2008 21:38:55 -0000	1.120
+++ ChangeLog	21 Sep 2008 02:45:31 -0000	1.121
@@ -1,6 +1,9 @@
 # ChangeLog for media-libs/fontconfig
 # Copyright 2002-2008 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/media-libs/fontconfig/ChangeLog,v 1.120 2008/06/26 21:38:55 cardoe Exp $
+# $Header: /var/cvsroot/gentoo-x86/media-libs/fontconfig/ChangeLog,v 1.121 2008/09/21 02:45:31 solar Exp $
+
+  21 Sep 2008; <solar@g.o> fontconfig-2.6.0-r2.ebuild:
+  - make cross compile aware
 
 *fontconfig-2.6.0-r2 (26 Jun 2008)
 



1.2                  media-libs/fontconfig/fontconfig-2.6.0-r2.ebuild

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/media-libs/fontconfig/fontconfig-2.6.0-r2.ebuild?rev=1.2&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/media-libs/fontconfig/fontconfig-2.6.0-r2.ebuild?rev=1.2&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/media-libs/fontconfig/fontconfig-2.6.0-r2.ebuild?r1=1.1&r2=1.2

Index: fontconfig-2.6.0-r2.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/media-libs/fontconfig/fontconfig-2.6.0-r2.ebuild,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- fontconfig-2.6.0-r2.ebuild	26 Jun 2008 21:38:55 -0000	1.1
+++ fontconfig-2.6.0-r2.ebuild	21 Sep 2008 02:45:31 -0000	1.2
@@ -1,10 +1,10 @@
 # Copyright 1999-2008 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/media-libs/fontconfig/fontconfig-2.6.0-r2.ebuild,v 1.1 2008/06/26 21:38:55 cardoe Exp $
+# $Header: /var/cvsroot/gentoo-x86/media-libs/fontconfig/fontconfig-2.6.0-r2.ebuild,v 1.2 2008/09/21 02:45:31 solar Exp $
 
 WANT_AUTOMAKE=1.9
 
-inherit eutils autotools libtool
+inherit eutils autotools libtool toolchain-funcs flag-o-matic
 
 DESCRIPTION="A library for configuring and customizing font access"
 HOMEPAGE="http://fontconfig.org/"
@@ -43,12 +43,17 @@
 }
 
 src_compile() {
+	if tc-is-cross-compiler; then
+		myconf="--with-arch=${ARCH}"
+		replace-flags -mtune=* -DMTUNE_CENSORED
+		replace-flags -march=* -DMARCH_CENSORED
+	fi
 	econf $(use_enable doc docs) \
 		--localstatedir=/var \
 		--with-docdir=/usr/share/doc/${PF} \
 		--with-default-fonts=/usr/share/fonts \
 		--with-add-fonts=/usr/local/share/fonts \
-		|| die
+		${myconf} || die
 
 	emake || die
 }





Navigation:
Lists: gentoo-commits: < Prev By Thread Next > < Prev By Date Next >
Previous by thread:
gentoo-x86 commit in media-gfx/wally: wally-1.3.1.ebuild metadata.xml Manifest ChangeLog
Next by thread:
gentoo-x86 commit in media-libs/fontconfig: ChangeLog fontconfig-2.6.0-r2.ebuild
Previous by date:
gentoo-x86 commit in media-gfx/wally: wally-1.3.1.ebuild metadata.xml Manifest ChangeLog
Next by date:
gentoo-x86 commit in media-gfx/wally: wally-1.3.1.ebuild ChangeLog


Updated Feb 08, 2012

Summary: Archive of the gentoo-commits mailing list.

Donate to support our development efforts.

Copyright 2001-2013 Gentoo Foundation, Inc. Questions, Comments? Contact us.